# Uses of Interface
org.eclipse.ecf.core.security.IConnectContext

Packages that use IConnectContext
Package
Description
org.eclipse.ecf.core
org.eclipse.ecf.core.security
org.eclipse.ecf.core.sharedobject
org.eclipse.ecf.filetransfer
org.eclipse.ecf.osgi.services.remoteserviceadmin
org.eclipse.ecf.provider.dnssd
org.eclipse.ecf.provider.filetransfer.browse
org.eclipse.ecf.provider.filetransfer.httpclient4
org.eclipse.ecf.provider.filetransfer.httpclient45
org.eclipse.ecf.provider.filetransfer.httpclient5
org.eclipse.ecf.provider.filetransfer.outgoing
org.eclipse.ecf.provider.filetransfer.retrieve
org.eclipse.ecf.provider.generic
org.eclipse.ecf.provider.jslp.container
org.eclipse.ecf.provider.remoteservice.generic
org.eclipse.ecf.provider.zookeeper.core
org.eclipse.ecf.remoteservice
org.eclipse.ecf.remoteservice.client
org.eclipse.ecf.remoteservice.servlet

## Uses of IConnectContext in org.eclipse.ecf.core

Methods in org.eclipse.ecf.core with parameters of type IConnectContext
Modifier and Type
Method
Description
`void`
BaseContainer.`connect(ID targetID, IConnectContext connectContext)`
`void`
IContainer.`connect(ID targetID, IConnectContext connectContext)`
Connect to a target remote process or process group.
`protected String`
AbstractContainer.`getPasswordFromConnectContext(IConnectContext connectContext)`

## Uses of IConnectContext in org.eclipse.ecf.core.security

Methods in org.eclipse.ecf.core.security that return IConnectContext
Modifier and Type
Method
Description
`static IConnectContext`
ConnectContextFactory.`createPasswordConnectContext(String password)`
Create password connect context, where password is represented as a String
`static IConnectContext`
ConnectContextFactory.`createUsernamePasswordConnectContext(String username, Object password)`
Create username and password connect context, where username is represented as a String and password as an Object.
Methods in org.eclipse.ecf.core.security with parameters of type IConnectContext
Modifier and Type
Method
Description
`Object`
IConnectInitiatorPolicy.`createConnectData(IContainer container, ID targetID, IConnectContext context)`
Create connect data for given IContainer, given targetID and given context

## Uses of IConnectContext in org.eclipse.ecf.core.sharedobject

Methods in org.eclipse.ecf.core.sharedobject with parameters of type IConnectContext
Modifier and Type
Method
Description
`void`
ISharedObjectContext.`connect(ID targetID, IConnectContext connectContext)`
(non-Javadoc)

## Uses of IConnectContext in org.eclipse.ecf.filetransfer

Methods in org.eclipse.ecf.filetransfer with parameters of type IConnectContext
Modifier and Type
Method
Description
`void`
IRemoteFileSystemBrowserContainerAdapter.`setConnectContextForAuthentication(IConnectContext connectContext)`
Set connect context for authentication upon subsequent `IRemoteFileSystemBrowserContainerAdapter.sendBrowseRequest(IFileID, IRemoteFileSystemListener)`.
`void`
IRetrieveFileTransferContainerAdapter.`setConnectContextForAuthentication(IConnectContext connectContext)`
Set connect context for authentication upon subsequent `IRetrieveFileTransferContainerAdapter.sendRetrieveRequest(IFileID, IFileTransferListener, Map)`.
`void`
ISendFileTransferContainerAdapter.`setConnectContextForAuthentication(IConnectContext connectContext)`
Set connect context for authentication upon subsequent `ISendFileTransferContainerAdapter.sendOutgoingRequest(IFileID, IFileTransferInfo, IFileTransferListener, Map)`.

## Uses of IConnectContext in org.eclipse.ecf.osgi.services.remoteserviceadmin

Methods in org.eclipse.ecf.osgi.services.remoteserviceadmin that return IConnectContext
Modifier and Type
Method
Description
`protected IConnectContext`
AbstractContainerSelector.`createConnectContext(ServiceReference serviceReference, Map<String,Object> properties, IContainer container, Object context)`
`protected IConnectContext`
AbstractConsumerContainerSelector.`getConnectContext(IContainer container, ID connectTargetID)`
Methods in org.eclipse.ecf.osgi.services.remoteserviceadmin with parameters of type IConnectContext
Modifier and Type
Method
Description
`protected void`
AbstractContainerSelector.`connectContainer(IContainer container, ID connectTargetID, IConnectContext connectContext)`

## Uses of IConnectContext in org.eclipse.ecf.provider.dnssd

Methods in org.eclipse.ecf.provider.dnssd with parameters of type IConnectContext
Modifier and Type
Method
Description
`void`
DnsSdDiscoveryAdvertiser.`connect(ID aTargetID, IConnectContext connectContext)`
`abstract void`
DnsSdDiscoveryContainerAdapter.`connect(ID targetID, IConnectContext connectContext)`
`void`
DnsSdDiscoveryLocator.`connect(ID aTargetID, IConnectContext connectContext)`

## Uses of IConnectContext in org.eclipse.ecf.provider.filetransfer.browse

Fields in org.eclipse.ecf.provider.filetransfer.browse declared as IConnectContext
Modifier and Type
Field
Description
`protected IConnectContext`
AbstractFileSystemBrowser.`connectContext`
Methods in org.eclipse.ecf.provider.filetransfer.browse with parameters of type IConnectContext
Modifier and Type
Method
Description
`void`
MultiProtocolFileSystemBrowserAdapter.`setConnectContextForAuthentication(IConnectContext connectContext)`
Constructors in org.eclipse.ecf.provider.filetransfer.browse with parameters of type IConnectContext
Modifier
Constructor
Description
``
`AbstractFileSystemBrowser(IFileID directoryOrFileID, IRemoteFileSystemListener listener, URL url, IConnectContext connectContext, Proxy proxy)`
``
`URLFileSystemBrowser(IFileID directoryOrFileID, IRemoteFileSystemListener listener, URL directoryOrFileURL, IConnectContext connectContext, Proxy proxy)`

## Uses of IConnectContext in org.eclipse.ecf.provider.filetransfer.httpclient4

Methods in org.eclipse.ecf.provider.filetransfer.httpclient4 with parameters of type IConnectContext
Modifier and Type
Method
Description
`void`
HttpClientRetrieveFileTransfer.`setConnectContextForAuthentication(IConnectContext connectContext)`
Constructors in org.eclipse.ecf.provider.filetransfer.httpclient4 with parameters of type IConnectContext
Modifier
Constructor
Description
``
`HttpClientFileSystemBrowser(org.apache.http.impl.client.DefaultHttpClient httpClient, IFileID directoryOrFileID, IRemoteFileSystemListener listener, URL directoryOrFileURL, IConnectContext connectContext, Proxy proxy)`

## Uses of IConnectContext in org.eclipse.ecf.provider.filetransfer.httpclient45

Methods in org.eclipse.ecf.provider.filetransfer.httpclient45 with parameters of type IConnectContext
Modifier and Type
Method
Description
`void`
HttpClientRetrieveFileTransfer.`setConnectContextForAuthentication(IConnectContext connectContext)`
Constructors in org.eclipse.ecf.provider.filetransfer.httpclient45 with parameters of type IConnectContext
Modifier
Constructor
Description
``
`HttpClientFileSystemBrowser(org.apache.http.impl.client.CloseableHttpClient httpClient, IFileID directoryOrFileID, IRemoteFileSystemListener listener, URL directoryOrFileURL, IConnectContext connectContext, Proxy proxy)`

## Uses of IConnectContext in org.eclipse.ecf.provider.filetransfer.httpclient5

Methods in org.eclipse.ecf.provider.filetransfer.httpclient5 with parameters of type IConnectContext
Modifier and Type
Method
Description
`void`
HttpClientRetrieveFileTransfer.`setConnectContextForAuthentication(IConnectContext connectContext)`
Constructors in org.eclipse.ecf.provider.filetransfer.httpclient5 with parameters of type IConnectContext
Modifier
Constructor
Description
``
`HttpClientFileSystemBrowser(org.apache.hc.client5.http.impl.classic.CloseableHttpClient httpClient, IFileID directoryOrFileID, IRemoteFileSystemListener listener, URL directoryOrFileURL, IConnectContext connectContext, Proxy proxy)`

## Uses of IConnectContext in org.eclipse.ecf.provider.filetransfer.outgoing

Fields in org.eclipse.ecf.provider.filetransfer.outgoing declared as IConnectContext
Modifier and Type
Field
Description
`protected IConnectContext`
AbstractOutgoingFileTransfer.`connectContext`
Methods in org.eclipse.ecf.provider.filetransfer.outgoing with parameters of type IConnectContext
Modifier and Type
Method
Description
`void`
AbstractOutgoingFileTransfer.`setConnectContextForAuthentication(IConnectContext connectContext)`
`void`
MultiProtocolOutgoingAdapter.`setConnectContextForAuthentication(IConnectContext connectContext)`

## Uses of IConnectContext in org.eclipse.ecf.provider.filetransfer.retrieve

Fields in org.eclipse.ecf.provider.filetransfer.retrieve declared as IConnectContext
Modifier and Type
Field
Description
`protected IConnectContext`
AbstractRetrieveFileTransfer.`connectContext`
Methods in org.eclipse.ecf.provider.filetransfer.retrieve with parameters of type IConnectContext
Modifier and Type
Method
Description
`void`
AbstractRetrieveFileTransfer.`setConnectContextForAuthentication(IConnectContext connectContext)`
`void`
MultiProtocolRetrieveAdapter.`setConnectContextForAuthentication(IConnectContext connectContext)`
`void`
UrlConnectionRetrieveFileTransfer.`setConnectContextForAuthentication(IConnectContext connectContext)`

## Uses of IConnectContext in org.eclipse.ecf.provider.generic

Methods in org.eclipse.ecf.provider.generic with parameters of type IConnectContext
Modifier and Type
Method
Description
`void`
ClientSOContainer.`connect(ID targetID, IConnectContext joinContext)`
`void`
ServerSOContainer.`connect(ID groupID, IConnectContext joinContext)`
`abstract void`
SOContainer.`connect(ID groupID, IConnectContext connectContext)`
`void`
SOContext.`connect(ID groupID, IConnectContext joinContext)`
`protected Object`
ClientSOContainer.`getConnectData(ID remote, IConnectContext joinContext)`

## Uses of IConnectContext in org.eclipse.ecf.provider.jslp.container

Methods in org.eclipse.ecf.provider.jslp.container with parameters of type IConnectContext
Modifier and Type
Method
Description
`void`
JSLPDiscoveryContainer.`connect(ID aTargetID, IConnectContext connectContext)`

## Uses of IConnectContext in org.eclipse.ecf.provider.remoteservice.generic

Fields in org.eclipse.ecf.provider.remoteservice.generic declared as IConnectContext
Modifier and Type
Field
Description
`protected IConnectContext`
RegistrySharedObject.`connectContext`
Connect context to be used for connect.
Methods in org.eclipse.ecf.provider.remoteservice.generic with parameters of type IConnectContext
Modifier and Type
Method
Description
`void`
RegistrySharedObject.`setConnectContextForAuthentication(IConnectContext connectContext)`
`void`
RemoteServiceContainer.`setConnectContextForAuthentication(IConnectContext connectContext)`

## Uses of IConnectContext in org.eclipse.ecf.provider.zookeeper.core

Methods in org.eclipse.ecf.provider.zookeeper.core with parameters of type IConnectContext
Modifier and Type
Method
Description
`void`
ZooDiscoveryContainer.`connect(ID id, IConnectContext connectContext)`

## Uses of IConnectContext in org.eclipse.ecf.remoteservice

Methods in org.eclipse.ecf.remoteservice that return IConnectContext
Modifier and Type
Method
Description
`protected IConnectContext`
RemoteServiceContainerAdapterImpl.`getConnectContext()`
Methods in org.eclipse.ecf.remoteservice with parameters of type IConnectContext
Modifier and Type
Method
Description
`void`
AbstractRSAContainer.`connect(ID targetID, IConnectContext connectContext)`
`void`
IRemoteServiceConsumer.`setConnectContextForAuthentication(IConnectContext connectContext)`
Set connect context for authentication upon subsequent calls to `IRemoteServiceConsumer.getRemoteServiceReferences(ID[], String, String)` or `IRemoteServiceConsumer.asyncGetRemoteServiceReferences(ID[], String, String)`.
`void`
IRemoteServiceContainerAdapter.`setConnectContextForAuthentication(IConnectContext connectContext)`
Set connect context for authentication upon subsequent calls to `IRemoteServiceContainerAdapter.getRemoteServiceReferences(ID[], String, String)` or `IRemoteServiceContainerAdapter.asyncGetRemoteServiceReferences(ID[], String, String)`.
`void`
RemoteServiceContainerAdapterImpl.`setConnectContextForAuthentication(IConnectContext connectContext)`

## Uses of IConnectContext in org.eclipse.ecf.remoteservice.client

Fields in org.eclipse.ecf.remoteservice.client declared as IConnectContext
Modifier and Type
Field
Description
`protected IConnectContext`
AbstractClientContainer.`connectContext`
Methods in org.eclipse.ecf.remoteservice.client that return IConnectContext
Modifier and Type
Method
Description
`IConnectContext`
AbstractClientContainer.`getConnectContextForAuthentication()`
Methods in org.eclipse.ecf.remoteservice.client with parameters of type IConnectContext
Modifier and Type
Method
Description
`void`
AbstractClientContainer.`connect(ID targetID, IConnectContext connectContext1)`
`void`
AbstractClientContainer.`setConnectContextForAuthentication(IConnectContext connectContext)`

## Uses of IConnectContext in org.eclipse.ecf.remoteservice.servlet

Methods in org.eclipse.ecf.remoteservice.servlet with parameters of type IConnectContext
Modifier and Type
Method
Description
`void`
ServletServerContainer.`setConnectContextForAuthentication(IConnectContext connectContext)`